/*==================== GOOGLE FONTS ====================*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");

/*==================== VARIABLES CSS ====================*/
:root {
  --header-height: 3rem;

  /*========== Colors ==========*/
  /* Change favorite color */
  --hue-color: 250;
  /*Purple 250 - Green 142 - Blue 230 - Pink 340*/

  /* HSL color mode */
  --first-color: hsl(var(--hue-color), 69%, 61%);
  --first-color-second: hsl(var(--hue-color), 69%, 61%);
  --first-color-alt: hsl(var(--hue-color), 57%, 53%);
  --first-color-lighter: hsl(var(--hue-color), 92%, 85%);
  --title-color: hsl(var(--hue-color), 8%, 15%);
  --text-color: hsl(var(--hue-color), 8%, 45%);
  --text-color-light: hsl(var(--hue-color), 8%, 65%);
  --input-color: hsl(var(--hue-color), 70%, 96%);
  --body-color: hsl(var(--hue-color), 60%, 99%);
  --container-color: #fff;


  /*========== Font and typography ==========*/
  --body-font: 'Poppins', sans-serif;

  /* .5rem = 8px, 1rem = 16px, 1.5rem = 24px ... */
  --big-font-size: 2rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1.125rem;
  --normal-font-size: .938rem;
  --small-font-size: .813rem;
  --smaller-font-size: .75rem;

  /*========== Font weight ==========*/
  --font-medium: 500;
  --font-semi-bold: 600;

  /*========== Margenes Bottom ==========*/
  /* .25rem = 4px, .5rem = 8px, .75rem = 12px ... */
  --mb-0-25: .25rem;
  --mb-0-5: .5rem;
  --mb-0-75: .75rem;
  --mb-1: 1rem;
  --mb-1-5: 1.5rem;
  --mb-2: 2rem;
  --mb-2-5: 2.5rem;
  --mb-3: 3rem;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
  --z-modal: 1000;
}

/* Font size for large devices */
@media screen and (min-width: 968px) {
  :root {
    --big-font-size: 3rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1rem;
    --small-font-size: .875rem;
    --smaller-font-size: .813rem;
  }
}

/*========== Variables Dark theme ==========*/
body.dark-theme {
  /* HSL color mode */
  --first-color-second: hsl(var(--hue-color), 30%, 8%);
  --title-color: hsl(var(--hue-color), 8%, 95%);
  --text-color: hsl(var(--hue-color), 8%, 75%);
  --input-color: hsl(var(--hue-color), 29%, 16%);
  --body-color: hsl(var(--hue-color), 28%, 12%);
  --container-color: hsl(var(--hue-color), 29%, 16%);
  --scroll-bar-color: hsl(var(--hue-color), 12%, 48%);
  --scroll-thumb-color: hsl(var(--hue-color), 12%, 36%);
}

/*========== Button Dark/Light ==========*/
.nav_btns {
  display: flex;
  align-items: center;
}

.change-theme {
  font-size: 1.25rem;
  color: var(--title-color);
  margin-right: var(--mb-1);
  cursor: pointer;
}

.change-theme:hover {
  color: var(--first-color);
}

/*==================== BASE ====================*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  margin: 0 0 var(--header-height) 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
  color: var(--text-color);
}

h1,
h2,
h3,
h4 {
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

/*==================== REUSABLE CSS CLASSES ====================*/
.section {
  padding: 2rem 0 4rem;
}

.section_title {
  font-size: var(--h1-font-size);
  color: var(--title-color);
}

.section_subtitle {
  display: block;
  font-size: var(--small-font-size);
  margin-bottom: var(--mb-3);
}

.section_title,
.section_subtitle {
  text-align: center;
}

/*==================== LAYOUT ====================*/
.container {
  max-width: 768px;
  margin-left: var(--mb-1-5);
  margin-right: var(--mb-1-5);
}

.grid {
  display: grid;
  gap: 1.5rem;
}

.header {
  width: 100%;
  position: fixed;
  bottom: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: var(--body-color);
}

/*==================== NAV ====================*/
.nav {
  max-width: 968px;
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav_logo,
.nav_toggle {
  color: var(--title-color);
  font-weight: var(--font-medium);
}

.nav_logo:hover {
  color: var(--first-color);
}

.nav_toggle {
  font-size: 1.1rem;
  cursor: pointer;
}

.nav_toggle:hover {
  color: var(--first-color);
}

@media screen and (max-width: 767px) {
  .nav_menu {
    position: fixed;
    bottom: -100%;
    left: 0;
    width: 100%;
    background-color: var(--body-color);
    padding: 2rem 1.5rem 4rem;
    box-shadow: 0 -1px 4px rgba(0, 0, 0, .15);
    border-radius: 1.5rem 1.5rem 0 0;
    transition: .3s;
  }
}

.nav_list {
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
}

.nav_link {
  display: flex;
  flex-direction: column;
  align-items: center;
  font-size: var(--small-font-size);
  color: var(--title-color);
  font-weight: var(--font-medium);
}

.nav_link:hover {
  color: var(--first-color);
}

.nav_icon {
  font-size: 1.2rem;
}

.nav_close {
  position: absolute;
  right: 1.3rem;
  bottom: .5rem;
  font-size: 1.5rem;
  cursor: pointer;
  color: var(--first-color);
}

.nav_close:hover {
  color: var(--first-color-alt);
}

/* show menu */
.show-menu {
  bottom: 0;
}

/* Active link */
.active-link {
  color: var(--first-color);
}

/* Change background header */
.scroll-header {
  box-shadow: 0 -1px 4px rgba(0, 0, 0, .15);
}

/*==================== HOME ====================*/
.home_container {
  gap: 1rem;
}

.home_content {
  grid-template-columns: .5fr 3fr;
  padding-top: 3.5rem;
  align-items: center;
}

.home_social {
  display: grid;
  grid-template-columns: max-content;
  row-gap: 1rem;
}

.home_social-icon {
  font-size: 1.25rem;
  color: var(--first-color);
}

.home_social-icon:hover {
  color: var(--first-color-alt);
}

.home_blob {
  width: 200px;
  fill: var(--first-color);
}

.home_blob-img {
  width: 200px;
}

.home_data {
  grid-column: 1/3;
}

.home_title {
  font-size: var(--big-font-size);
}

.home_subtitle {
  font-size: var(--h3-font-size);
  color: var(--text-color);
  font-weight: var(--font-medium);
  margin-bottom: var(--mb-0-75);
}

.home_description {
  margin-bottom: var(--mb-2);
}

.home_scroll {
  display: none;
}

.home_scroll-button {
  color: var(--first-color);
  transition: .3s;
}

.home_scroll-button:hover {
  transform: translateY(0.25rem);
}

.home_scroll-mouse {
  font-size: 2rem;
}

.home_scroll-name {
  font-size: var(--small-font-size);
  color: var(--title-color);
  font-weight: var(--font-medium);
  margin-right: var(--mb-0-25);
}

.home_scroll-arrow {
  font-size: 1.25rem;
}

/*==================== BUTTONS ====================*/
.button {
  display: inline-block;
  background-color: var(--first-color);
  color: #fff;
  padding: 1rem;
  border-radius: .5rem;
  font-weight: var(--font-medium);
  gap: 6px
}

.button:hover {
  background-color: var(--first-color-alt);
}

.button-icon {
  font-size: 1.25rem;
  margin-left: var(--mb-0-5);
  transition: .3s;
}

.button--white {
  background-color: #fff;
  color: var(--first-color);
}

.button--white:hover {
  background-color: #fff
}

.button--flex {
  display: inline-flex;
  align-items: center;
}

.button--small {
  padding: .75rem 1rem;
}

.button--link {
  background-color: transparent;
  color: var(--first-color);
  padding: 0;
}

.button--link:hover {
  background-color: transparent;
  color: var(--first-color-alt);
}

/*==================== ABOUT ====================*/
.about_img {
  width: 200px;
  border-radius: .5rem;
  justify-self: center;
  align-self: center;
}

.about_description {
  text-align: center;
  margin-bottom: var(--mb-2-5);
}

.about_info {
  display: flex;
  justify-content: space-evenly;
  margin-bottom: var(--mb-2-5);
}

.about_info {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(2, auto);
  /* Adjust rows as needed */
  gap: 10px;
  /* Adjust the gap between grid items */
}

.about_info-title {
  font-size: var(--h2-font-size);
  font-weight: var(--font-semi-bold);
  color: var(--title-color);
}

.about_info-name {
  font-size: var(--smaller-font-size);
}

.about_info-title,
.about_info-name {
  display: block;
  text-align: center;
}

.about_buttons {
  display: flex;
  justify-content: center;
}


/*==================== SKILLS ====================*/
.skills_container {
  row-gap: 0;
}

.skills_header {
  display: flex;
  align-items: center;
  margin-bottom: var(--mb-2-5);
  cursor: pointer;
}

.skills_icon,
.skills_arrow {
  font-size: 2rem;
  color: var(--first-color);
}

.skills_icon {
  margin-right: var(--mb-0-75);
}

.skills_title {
  font-size: var(--h3-font-size);
}

.skills_subtitle {
  font-size: var(--smaller-font-size);
  color: var(--text-color-light);
}

.skills_arrow {
  margin-left: auto;
  transition: .4s;
}

.skills_list {
  row-gap: 1.5rem;
  padding-left: 2.7rem;
}

.skills_title {
  display: flex;
  justify-content: space-between;
  margin-bottom: var(--mb-0-5);
}

.skills_name {
  font-size: var(--normal-font-size);
  font-weight: var(--font-medium);
}

.skills_bar,
.skills_percentage {
  height: 5px;
  border-radius: .25rem;
}

.skills_bar {
  background-color: var(--first-color-lighter);
}

.skills_percentage {
  display: block;
  background-color: var(--first-color);
}

.skills_pc {
  width: 60%;
}

.skills_lps {
  width: 50%;
}

.skills_da {
  width: 80%;
}

.skills_pp {
  width: 40%;
}


.skills_me {
  width: 65%;
}

.skills_wd {
  width: 35%;
}

.skills_ai {
  width: 75%;
}

.skills_at {
  width: 40%;
}

.skills_emailing {
  width: 50%;
}


.skills_leadership {
  width: 60%;
}

.skills_ps {
  width: 50%;
}

.skills_communication {
  width: 65%;
}


.skills_english {
  width: 75%;
}

.skills_urdu {
  width: 70%;
}

.skills_punjabi {
  width: 50%;
}

.skills_close .skills_list {
  height: 0;
  overflow: hidden;
}

.skills_open .skills_list {
  height: max-content;
  margin-bottom: var(--mb-2-5);
}

.skills_open .skills_arrow {
  transform: rotate(-180deg);
}


/*==================== QUALIFICATION ====================*/
.qualification_tabs {
  display: flex;
  justify-content: space-evenly;
  margin-bottom: var(--mb-2);
}

.qualification_button {
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
  cursor: pointer;
}

.qualification_button:hover {
  color: var(--first-color);
}

.qualification_icon {
  font-size: 1.8rem;
  margin-right: var(--mb-0-25);
}

.qualification_data {
  display: grid;
  grid-template-columns: 1fr max-content 1fr;
  column-gap: 1.5rem;
}

.qualification_title {
  font-size: var(--normal-font-size);
  font-weight: var(--font-medium);
}

.qualification_subtitle {
  display: inline-block;
  font-size: var(--smaller-font-size);
  margin-bottom: 1px;

}

.qualification_calendar {
  font-size: var(--smaller-font-size);
  color: var(--text-color-light);
}

.qualification_rounder {
  display: inline-block;
  width: 13px;
  height: 13px;
  background-color: var(--first-color);
  border-radius: 50%;
}

.qualification_line {
  display: block;
  width: 1px;
  height: 100%;
  background-color: var(--first-color);
  transform: translate(6px, -7px);
}

.qualification [data-content] {
  display: none;
}

.qualification_active[data-content] {
  display: block;
}

.qualifications_button .qualification_active {
  color: var(--first-color);
}

/*==================== SERVICES ====================*/
.services_container {
  grid-template-columns: repeat(2, 1fr);
  gap: 1.5rem;
}

.services_content {
  position: relative;
  padding: 3.5rem .5rem 1.25rem 1.5rem;
  background-color: var(--container-color);
  border-radius: .25rem;
  box-shadow: 0 2px 4px rgba(0, 0, 0, .15);
  transition: .3s;
}

.services_content:hover {
  box-shadow: 0 4px 8px rgba(0, 0, 0, .15);
}

.services_icon {
  display: block;
  font-size: 1.5rem;
  color: var(--first-color);
  margin-bottom: var(--mb-1);
}

.services_title {
  font-size: var(--h3-font-size);
  margin-bottom: var(--mb-1);
  font-weight: var(--font-medium);
}

.services_button {
  cursor: pointer;
  font-size: var(--smaller-font-size);
}

.services_button:hover .services_button-icon {
  transform: translateX(.25rem);
}

.services_modal {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, .5);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: var(--z-modal);
  padding: 0 1rem;
  opacity: 0;
  visibility: hidden;
  transition: .3s;
}

.services_modal-icon {
  margin-right: 10px;
}

.services_modal-content {
  position: relative;
  background-color: var(--container-color);
  padding: 1.5rem;
  border-radius: .5rem;
}

.services_modal-services {
  row-gap: 1rem;
}

.services_modal-service {
  display: flex;
}

.services_modal-title {
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
  margin-bottom: var(--mb-1-5);
}

.services_modal-close {
  position: absolute;
  top: 1rem;
  right: 1rem;
  font-size: 1.5rem;
  color: var(--first-color);
  cursor: pointer;
}

.services_modal-close {
  color: var(--first-color);
  margin-right: var(--mb-0-25);
}


/* Active Modal */
.active-modal {
  opacity: 1;
  visibility: visible;
}



/*==================== PORTFOLIO ====================*/
.portfolio_container {
  overflow: initial;
}

.portfolio_content {
  padding: 0 1.5rem;
}

.portfolio_img {
  width: 256px;
  border-radius: .5rem;
  justify-self: center;
}

.portfolio_title {
  font-size: var(--h3-font-size);
  margin-bottom: var(--mb-0-5);
}

.portfolio_description {
  margin-bottom: var(--mb-0-75);
}

.portfolio_button:hover .portfolio_button-icon {
  transform: translateX(.25rem);
}

.swiper-button-next,
.swiper-button-prev {
  position: absolute;
  top: var(--swiper-navigation-top-offset, 50%);
  width: calc(var(--swiper-navigation-size) / 44 * 27);
  height: var(--swiper-navigation-size);
  margin-top: calc(0px - (var(--swiper-navigation-size) / 2));
  z-index: 10;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--first-color);
}

.swiper-portfolio-icon {
  font-size: 2rem;
  color: var(--first-color);
}

.swiper-button-prev {
  left: -1rem;
}

.swiper-button-next {
  right: -1rem;
}

.swiper-container-horizontal>.swiper-pagination-bullets {
  bottom: -2.5rem;
}

.swiper-pagination-bullet-active {
  background-color: var(--first-color);
}

.swiper-button-prev,
.swiper-button-next,
.swiper-pagination-bullet {
  outline: none;
}

.portfolio_container.container.swiper-container.swiper-initialized.swiper-horizontal.swiper-css-mode {
  position: relative;
}

.swiper-pagination.swiper-pagination-clickable.swiper-pagination-bullets.swiper-pagination-horizontal {
  bottom: -40px;
  top: auto;
}


/*==================== PROJECT IN MIND ====================*/
.project {
  text-align: center;
}

.project_bg {
  background-color: var(--first-color-second);
  padding-top: 3rem;
}

.project_title {
  font-size: var(--h2-font-size);
  margin-bottom: var(--mb-0-75);
}

.project_description {
  margin-bottom: var(--mb-1-5);
}

.project_title,
.project_description {
  color: #fff;
}

.project_img {
  width: 232px;
  justify-self: center;

}


/*==================== TESTIMONIAL ====================*/
.testimonial_data,
.testimonial_header {
  display: flex;
}

.testimonial_data {
  justify-content: space-between;
  margin-bottom: var(--mb-1);
}

.testimonial_img {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  margin-right: var(--mb-0-75);
}

.testimonial_name {
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
}

.testimonial_client {
  font-size: var(--smaller-font-size);
  color: var(--text-color-light);
}

.testimonial_description {
  margin-bottom: var(--mb-2-5);
}

.testimonial_icon-star {
  color: var(--first-color);
}

.swiper-container .swiper-pagination-testimonial {
  bottom: 0;
}

.testimonial_container.container.swiper-container.swiper-initialized.swiper-horizontal.swiper-css-mode {
  position: relative;
}

/*==================== CONTACT ME ====================*/
.contact_container {
  row-gap: 3rem;
}

.contact_information {
  display: flex;
  margin-bottom: var(--mb-2);
}

.button--flex {
  font-weight: var(--font-medium);
}

.contact_icon {
  font-size: 2rem;
  color: var(--first-color);
  margin-right: var(--mb-0-75);
}

.contact_title {
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
}

.contact_subtitle {
  font-size: var(--smaller-font-size);
  color: var(--text-color-light);
}

.contact_content {
  background-color: var(--input-color);
  border-radius: .5rem;
  padding: .75rem 1rem .25rem;
}

.contact_label {
  font-size: var(--smaller-font-size);
  color: var(--title-color);
}

.contact_input {
  width: 100%;
  background-color: var(--input-color);
  color: var(--text-color);
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  border: none;
  outline: none;
  padding: .25rem .5rem .5rem 0;
}


/*==================== FOOTER ====================*/
.footer {
  padding-top: 2rem;
}

.footer_container {
  row-gap: 3.5rem;
}

.footer_bg {
  background-color: var(--first-color-second);
  padding: 2rem 0 3rem;
}

.footer_title {
  font-size: var(--h1-font-size);
  margin-bottom: var(--mb-0-25);
}

.footer_subtitle {
  font-size: var(--small-font-size);
}

.footer_links {
  display: flex;
  flex-direction: column;
  row-gap: 1.5rem;
}

.footer_link:hover {
  color: var(--first-color-lighter);
}

.footer_social {
  font-size: 1.25rem;
  margin-right: var(--mb-1-5);
}

.footer_social:hover {
  color: var(--first-color-lighter);
}

.footer_copy {
  font-size: var(--smaller-font-size);
  text-align: center;
  color: var(--text-color-light);
  margin-top: var(--mb-3);
}

.footer_title,
.footer_subtitle,
.footer_link,
.footer_social {
  color: #fff;
}

/*========== SCROLL UP ==========*/
.scrollup {
  position: fixed;
  right: 1rem;
  bottom: -20%;
  background-color: var(--first-color);
  opacity: .8;
  padding: 0 .3rem;
  border-radius: .4rem;
  z-index: var(--z-tooltip);
  transition: .4s;
}

.scrollup:hover {
  background-color: var(--first-color-alt);
}

.scrollup_icon {
  font-size: 1.5rem;
  color: #fff;
}

/* Show scroll */
.show-scroll {
  bottom: 5rem;
}

/*========== SCROLL BAR ==========*/
::-webkit-scrollbar {
  width: .60rem;
  background-color: var(--scroll-bar-color);
  border-radius: .5rem;
}

::-webkit-scrollbar-thumb {
  background-color: var(--scroll-thumb-color);
  border-radius: .5rem;
}

::-webkit-scrollbar-thumb:hover {
  background-color: var(--text-color-light);
}

/*==================== MEDIA QUERIES ====================*/
/* For small devices */
@media screen and (max-width: 400px) {
  .container {
    margin-left: var(--mb-1);
    margin-right: var(--mb-1);
  }

  .nav_menu {
    padding: 2rem .25rem 4rem;
  }

  .nav_list {
    column-gap: 0;
  }

  .home_content {
    grid-template-columns: .25fr 3fr;
  }

  .home_blob {
    width: 240px;
  }

  .about_info {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, auto);
    /* Adjust rows as needed */
    gap: 10px;
    /* Adjust the gap between grid items */
  }

  .skills_title {
    font-size: var(--normal-font-size);
  }

  .qualification_data {
    gap: .5rem;
  }

  .qualification_button.button--flex.qualification_active {
    font-size: var(--h3-font-size);
    /* Or any other method to hide text, like color: transparent */
  }

  .qualification_button.button--flex {
    font-size: 0;
    /* Or any other method to hide text, like color: transparent */
  }

  .services_container {
    grid-template-columns: max-content;
    justify-content: center;
  }

  .services_content {
    padding-right: 3.5rem;
  }

  .services_modal {
    padding: 0.5rem;
  }

  .services_modal-icon {
    margin-right: 10px;
  }

  .project_img {
    width: 200px;
  }

  .testimonial_data,
  .testimonial_header {
    flex-direction: column;
    align-items: center;
  }

  .testimonial_img {
    margin-right: 0;
    margin-bottom: var(--mb-0-25);
  }

  .testimonial_data,
  .testimonial_description {
    text-align: center;
  }
}

/* For big-small devices */
@media screen and (min-width: 402px) {
  .container {
    margin-left: var(--mb-1);
    margin-right: var(--mb-1);
  }

  .nav_menu {
    padding: 2rem .25rem 4rem;
  }

  .nav_list {
    column-gap: 0;
  }

  .home_content {
    grid-template-columns: .75fr 3fr;
  }

  .home_blob {
    width: 240px;
  }

  .about_container,
  .skills_container,
  .portfolio_content,
  .project_container,
  .contact_container,
  .footer_container {
    grid-template-columns: 2, 1fr;
  }

  .qualification_button.button--flex.qualification_active {
    font-size: var(--h3-font-size);
    /* Or any other method to hide text, like color: transparent */
  }

  .qualification_button.button--flex {
    font-size: 0;
    /* Or any other method to hide text, like color: transparent */
  }

}


/* For big-small devices */
@media screen and (min-width: 470px) {
  .container {
    margin-left: var(--mb-1);
    margin-right: var(--mb-1);
  }

  .nav_menu {
    padding: 2rem .25rem 4rem;
  }

  .nav_list {
    column-gap: 0;
  }


  .home_content {
    grid-template-columns: .75fr 3fr;
  }

  .home_blob {
    width: 240px;
  }

  .about_container,
  .skills_container,
  .portfolio_content,
  .project_container,
  .contact_container,
  .footer_container {
    grid-template-columns: 2, 1fr;
  }

  .qualification_button.button--flex.qualification_active {
    font-size: var(--h3-font-size);
    /* Or any other method to hide text, like color: transparent */
  }

  .qualification_button.button--flex {
    font-size: 0;
    /* Or any other method to hide text, like color: transparent */
  }

  .qualification_sections {
    display: grid;
    grid-template-columns: .6fr;
    justify-content: center;
  }
}

/* For medium devices */
@media screen and (min-width: 568px) {
  .home_content {
    grid-template-columns: max-content 1fr 1fr;
  }

  .home_data {
    grid-column: initial;
  }

  .project_container.container.grid>img.project_img {
    align-self: end;
  }

  .project_container {
    height: 250px;
  }

  .project_img {
    width: 320px;
  }

  .home_blob {
    width: 260px;
  }

  .home_img {
    order: 1;
    justify-self: center;
  }

  .about_container,
  .skills_container,
  .portfolio_content,
  .project_container,
  .contact_container,
  .footer_container {
    grid-template-columns: repeat(2, 1fr);
  }



  .qualification_button.button--flex {
    font-size: initial;
    /* Or any other method to hide text, like color: transparent */
  }

  .qualification_sections {
    display: grid;
    grid-template-columns: .6fr;
    justify-content: center;
  }
}

@media screen and (min-width: 768px) {
  .container {
    margin-left: auto;
    margin-right: auto;
  }

  .body {
    margin: 0;
  }

  .section {
    padding: 6rem 0 2rem;
  }

  .section_subtitle {
    margin-bottom: 4rem;
  }

  .header {
    top: 0;
    bottom: initial;
  }

  .header,
  .main,
  .footer_container {
    padding: 0 1rem;
  }

  .nav {
    height: calc(var(--header-height) + 1.5rem);
    column-gap: 1rem;
  }

  .nav_icon,
  .nav_close,
  .nav_toggle {
    display: none;
  }

  .nav_list {
    display: flex;
    column-gap: 2rem;
  }

  .nav_menu {
    margin-left: auto;
    padding-top: 4rem;
  }

  .change-theme {
    margin: 0;
  }


  .home_container {
    row-gap: 1rem;
  }

  .home_content {
    padding-top: 5.5rem;
    column-gap: 2rem;
  }

  .home_blob {
    width: 270px;
  }

  .home_scroll {
    display: block;
  }

  .home_scroll-button {
    margin-left: 3rem;
  }

  .about_container {
    column-gap: 5rem;
  }

  .about_img {
    width: 350px;
  }

  .about_description {
    text-align: initial;
  }

  .about_info {
    justify-content: space-between;
  }



  .about_buttons {
    justify-content: center;
  }

  .qualification_tabs {
    justify-content: center;
    gap: 2rem;
  }

  .qualification_button {
    font-size: var(--mb-1);
  }

  .qualification_sections {
    grid-template-columns: .5fr;
  }

  .services_container {
    grid-template-columns: repeat(2, 218px);
    justify-content: center;
  }

  .services_icon {
    font-size: 2rem;
  }

  .services_content {
    padding: 3rem 2rem 1rem 2rem;
  }

  .services_modal-content {
    width: 450px;
  }

  .portfolio_img {
    width: 320px;
  }

  .portfolio_content {
    align-items: center;
  }

  .project {
    text-align: initial;
  }

  .project_bg {
    background: none;
  }

  .project_container {
    background-color: var(--first-color-second);
    border-radius: 1rem;
    padding: 3rem 2.5rem 0rem;
    grid-template-columns: 1fr max-content;
    column-gap: 3rem;
  }

  .project_data {
    padding-top: 0;
  }

  .project_container {
    height: 300px;
  }

  .project_img {
    width: 320px;
  }

  .footer_container {
    grid-template-columns: repeat(3, 1fr);
  }

  .footer_title {
    white-space: nowrap;
  }

  .footer_bg {
    padding: 3rem 0 3.5rem;
  }

  .footer_links {
    flex-direction: row;
    column-gap: 2rem;
  }

  .footer_links {
    /* Assuming the <ul> has a class "footer_links" */
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    /* 3 columns of equal width */
    grid-template-rows: repeat(2, auto);
    /* 2 rows, height adjusts to content */
    white-space: nowrap;
  }

  .footer_socials {
    justify-self: flex-end;
  }

  .footer_copy {
    margin-top: 4.5rem;
  }
}


/* For large devices */
@media screen and (min-width: 1024px) {

  .header,
  .main,
  .footer_container {
    padding: 0;
  }

  .home_blob {
    width: 320px;
    margin-top: initial;
  }

  .home_social {
    transform: translateX(-6rem);
  }

  .about_buttons {
    justify-content: center;
  }

  .qualification_tabs>.qualification_button {
    font-size: 18px;
    /* Increase font size */
    padding: 12px 24px;
    /* Add padding */
  }

  .qualification_tabs>.qualification_button.qualification_active {
    font-size: 24px;
    /* Increase font size */
    padding: 12px 24px;
    /* Add padding */
  }

  .qualification_button.button--flex.qualification_active i.qualification_icon {
    font-size: 35px;
  }

  .services_container {
    grid-template-columns: repeat(4, 200px);
  }

  .portfolio_content {
    column-gap: 5rem;
  }

  .swiper-portfolio-icon {
    font-size: 3.5rem;
  }

  .swiper-button-prev {
    left: -3.5rem;
  }

  .swiper-button-next {
    right: -3.5rem;
  }

  .swiper-container-horizontal>.swiper-pagination-bullets {
    bottom: -4.5rem;
  }

  .project_container {
    background-color: var(--first-color-second);
    border-radius: 1rem;
    padding: 3rem 2.5rem 0rem;
    grid-template-columns: 1fr max-content;
    column-gap: 3rem;
  }

  .project_data {
    padding-top: 0;
  }

  .project_container {
    height: 300px;
  }

  .project_img {
    width: 320px;
  }

  .contact_forms {
    width: 460px;
  }

  .contact_inputs {
    grid-template-columns: repeat(2, 1fr);
  }

  .footer_subtitle {
    letter-spacing: 11px;
    /* Replace with the actual width of your footer title */
  }


}

/* For large devices */
@media screen and (min-width: 1400px) {
  .nav_logo {
    font-size: 20px;
  }

  nav.nav.container {
    max-width: none;
    /* Remove the fixed maximum width */
    margin-left: 0;
    /* Remove left margin */
    margin-right: 0;
    /* Remove right margin */
    padding-left: 100px;
    /* Optional: Add left padding for inner spacing */
    padding-right: 100px;
    /* Optional: Add right padding for inner spacing */
    width: 100%;
    /* Ensure it takes the full width */
  }

  .nav_link {
    font-size: 16px;
  }

  #theme-button {
    font-size: 24px;
    /* Increase to your desired size, e.g., 24px, 28px, etc. */
  }


  .body {
    margin: 0;
  }

  .section {
    padding: 6rem 0 2rem;
  }

  .section_subtitle {
    margin-bottom: 4rem;
  }

  .header {
    top: 0;
    bottom: initial;
  }



  .nav {
    height: calc(var(--header-height) + 1.5rem);
    column-gap: 1rem;
  }

  .nav_icon,
  .nav_close,
  .nav_toggle {
    display: none;
  }

  .nav_list {
    display: flex;
    column-gap: 2rem;
  }

  .nav_menu {
    margin-left: auto;
    padding-top: 4rem;
  }

  .change-theme {
    margin: 0;
  }


  .home_container {
    row-gap: 1rem;
  }

  .home_content {
    padding-top: 5.5rem;
    column-gap: 2rem;
  }

  .home_blob {
    width: 550px;
    margin-top: initial;
  }

  .home_scroll {
    display: block;
  }

  .home_scroll-button {
    margin-left: 3rem;
  }

  .button_icon,
  .portfolio_button-icon {
    font-size: 20px;
  }

  .about_container {
    column-gap: 5rem;
  }

  .about_img {
    width: 75%;
  }

  .about_description {
    text-align: initial;
    margin-top: 3rem;
  }

  .about_info {
    justify-content: space-between;
  }

  .about_info {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(1, auto);
    /* Adjust rows as needed */
    gap: 15px;
    /* Adjust the gap between grid items */
  }

  .about_buttons {
    justify-content: initial;
  }

  .qualification_tabs {
    justify-content: center;
    gap: 5rem;
  }

  .qualification_button {
    font-size: var(--mb-1);
  }

  .qualification_tabs>.qualification_button {
    font-size: 18px;
    /* Increase font size */
    padding: 12px 24px;
    /* Add padding */
  }

  .qualification_tabs>.qualification_button.qualification_active {
    font-size: 24px;
    /* Increase font size */
    padding: 12px 24px;
    /* Add padding */
  }

  .qualification_button.button--flex.qualification_active i.qualification_icon {
    font-size: 35px;
  }

  .qualification_sections {
    grid-template-columns: .5fr;
  }

  .qualification_data {
    display: grid;
    grid-template-columns: 1fr max-content 1fr;
    column-gap: 1.5rem;
  }

  .qualification_title {
    font-size: 120%
  }

  .qualification_subtitle {
    font-size: 90%;
  }

  .services_container {
    grid-template-columns: repeat(4, 218px);
    justify-content: center;
    column-gap: 50px;
  }

  .services_icon {
    font-size: 2rem;
  }

  .services_content {
    padding: 6rem 0 2rem 2.5rem;
  }

  .services_modal-content {
    width: 450px;
  }

  .portfolio_img {
    width: 320px;
  }

  .portfolio_content {
    align-items: center;
  }

  .project {
    text-align: initial;
  }

  .project_img {
    width: 320px;
  }

  .project_bg {
    background: none;
  }

  .project_container {
    background-color: var(--first-color-second);
    border-radius: 1rem;
    padding: 3rem 2.5rem 0rem;
    grid-template-columns: 1fr max-content;
    column-gap: 3rem;
  }

  .project_data {
    padding-top: 0;
  }

  .project_container {
    max-width: 1000px;
    height: 300px;
  }


  .home_container {
    max-width: none;
    /* Remove the fixed maximum width */
    margin-left: 0;
    /* Remove left margin */
    margin-right: 0;
    /* Remove right margin */
    padding-left: 250px;
    /* Optional: Add left padding for inner spacing */
    padding-right: 250px;
    /* Optional: Add right padding for inner spacing */
    width: 100%;
    /* Ensure it takes the full width */
  }

  .skills_container {
    max-width: none;
    /* Remove the fixed maximum width */
    margin-left: 0;
    /* Remove left margin */
    margin-right: 0;
    /* Remove right margin */
    padding-left: 370px;
    /* Optional: Add left padding for inner spacing */
    padding-right: 370px;
    /* Optional: Add right padding for inner spacing */
    width: 100%;
    /* Ensure it takes the full width */
  }

  .qualification_container {
    max-width: none;
    /* Remove the fixed maximum width */
    margin-left: 0;
    /* Remove left margin */
    margin-right: 0;
    /* Remove right margin */
    padding-left: 20%;
    /* Optional: Add left padding for inner spacing */
    padding-right: 20%;
    /* Optional: Add right padding for inner spacing */
    width: 100%;
    /* Ensure it takes the full width */
  }

  .about_container,
  .contact_container {
    max-width: none;
    /* Remove the fixed maximum width */
    margin-left: 0;
    /* Remove left margin */
    margin-right: 0;
    /* Remove right margin */
    padding-left: 250px;
    /* Optional: Add left padding for inner spacing */
    padding-right: 250px;
    /* Optional: Add right padding for inner spacing */
    width: 100%;
    /* Ensure it takes the full width */
  }

  .footer_container {
    max-width: none;
    /* Remove the fixed maximum width */
    margin-left: 0;
    /* Remove left margin */
    margin-right: 0;
    /* Remove right margin */
    padding-left: 100px;
    /* Optional: Add left padding for inner spacing */
    padding-right: 100px;
    /* Optional: Add right padding for inner spacing */
    width: 100%;
    /* Ensure it takes the full width */
  }

  .testimonial_container {
    max-width: 1000px;
  }

  .footer_title {
    white-space: nowrap;
  }

  .footer_bg {
    padding: 2rem 0 3.5rem;
  }



  .footer_links {
    flex-direction: column;
    column-gap: 2rem;
  }

  .swiper-button-prev {
    left: -9rem;
  }

  .swiper-button-next {
    right: -9rem;
  }

  .footer_links {
    /* Assuming the <ul> has a class "footer_links" */
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    /* 6 columns of equal width */
    white-space: nowrap;
  }

  .footer_links {
    margin-top: 30px;
  }

  .footer_title,
  .footer_subtitle {
    margin-left: 25px;
  }



  .footer_socials {
    justify-self: flex-end;
  }

  .footer_copy {
    margin-top: 2.5rem;
  }
}

@media screen and (max-width: 350px) {
  .services_container {
    grid-template-columns: repeat(1, 218px);
    justify-content: center;
  }
}

@media (min-width: 760px) {

  /* Center each testimonial’s header and contents */
  .testimonial_data {
    display: flex;
    flex-direction: column;
    /* stack vertically */
    align-items: center;
    /* center horizontally */
    text-align: center;
  }

  .testimonial_header {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  /* Center the image itself */
  .testimonial_img {
    margin: 0 auto var(--mb-0-5) auto;
    /* centers horizontally and adds bottom spacing */
    display: block;
  }

  /* Center name, client title, and icons */
  .testimonial_name,
  .testimonial_client,
  .testimonial_icon-star {
    text-align: center;
    display: block;
    margin: 0.25rem 0;
  }



  /* Optional: center testimonial description too */
  .testimonial_description {
    text-align: justify;
    margin-top: var(--mb-0-75);
  }
}

/*==================== SCROLL TEXT EFFECT ====================*/
.home_subtitle_container {
  height: var(--h3-font-size);
  overflow: hidden;
  margin-bottom: var(--mb-0-75);
}

.sliding-text {
  display: flex;
  flex-direction: column;
  animation: scroll-text 6s cubic-bezier(0.83, 0, 0.17, 1) infinite;
}

.sliding-text span {
  font-size: var(--h3-font-size);
  color: var(--text-color);
  font-weight: var(--font-medium);
  height: var(--h3-font-size);
  line-height: var(--h3-font-size);
  /* Ensure line-height matches height */
  display: flex;
  align-items: center;
  list-style: none;
  /* Prevent bullets */
  text-decoration: none;
  /* Prevent underlines */
}

@keyframes scroll-text {

  0%,
  20% {
    transform: translateY(0);
  }

  33%,
  53% {
    transform: translateY(calc(-1 * var(--h3-font-size)));
  }

  66%,
  86% {
    transform: translateY(calc(-2 * var(--h3-font-size)));
  }

  100% {
    transform: translateY(calc(-3 * var(--h3-font-size)));
  }
}